/*	utils.c

	Copyright 2008 Fred Cooke

	This file is part of the FreeEMS project.

	FreeEMS software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	FreeEMS software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any FreeEMS software.  If not, see <http://www.gnu.org/licenses/>.

	We ask that if you make any changes to this file you send them upstream to us at admin@diyefi.org

	Thank you for choosing FreeEMS to run your engine! */

#include "freeems.h"

/* Do many things to take up a milli second. */
void sleep(int ms)
{
	int j, k, loop;
	loop = ms * 2;

	// Just looping alone burns up some time.
	for(j=0;j<loop;j++)
		for(k=0;k<2857;k++);
}

/* Read two ADC inputs and use them to sleep anywhere from 0.001ms to 1 second */
void sleep2()
{
	int adc3raw = ATD0DR3 + 1;
	int adc2raw = ATD0DR2 + 1;
	int period1 = 2048 / adc3raw;
	int period2 = 2048 / adc2raw;
	int j, k;

	// Just looping alone burns up some time.
	for(j=0;j<period1;j++){
		adc3raw = ATD0DR3 + 1;
		adc2raw = ATD0DR2 + 1;
		period1 = 2048 / adc3raw;
		period2 = 2048 / adc2raw;
		for(k=0;k<period2;k++);
	}
}
